package com.yixin.ms.server.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/6/22 17:06
 * @description:
 */
@Data
@Accessors(chain = true)
public class PlaceInfoVO {
    @ApiModelProperty("城市编码")
    private String cityCode;

    private Integer adminId;

    @ApiModelProperty(value = "注册到某个地址码")
    private String addressCode;

    @ApiModelProperty(value = "场所码单位名称")
    private String unitName;

    @ApiModelProperty(value = "场所码单位地址")
    private String unitAddress;

    @ApiModelProperty(value = "场所码管理员健康码信息")
    private String managerHealthCode;

    @ApiModelProperty("核酸有效期时间，单位小时，0:不限")
    private Integer nucleicExpirationTime = 0;

    @ApiModelProperty("景区预约标识")
    private Boolean scenicFlag = false;

    @ApiModelProperty(value = "没有行程信息是否开门 1-开门（默认）0-关门")
    private Boolean noXcOpenDoor = true;

    @ApiModelProperty(value = "24小时内核酸报告未出是否开门：1-开门（默认）0-关门")
    private Boolean noHsOpenDoor =true;

    @ApiModelProperty(value = "去过中高风险地区是否开门 1-开门（默认）0-关门")
    private Boolean riskXcOpenDoor = true;

    @ApiModelProperty(value = "不允许通行的身份证地区代码，用/分隔")
    private String noAllowAreaCode = "";

    @ApiModelProperty(value = "行程码需检测是否开门 1-开门（默认）0-关门")
    private Boolean xcNeedCheckOpenDoor = true;

    @ApiModelProperty(value = "是否通过黑名单校验 1-通过  0-不通过")
    private Boolean isThroughBlackCheck = true;

    @ApiModelProperty(value = "是否限制三天三检 1:是   0:否（默认")
    private Integer limitGather;

    @ApiModelProperty(value = "场所码区域代码 PlaceAreaEnum int值 ")
    private Integer placeAreaCode;

    /**------ 账户添加配置信息2023-02-06 ------**/
    @ApiModelProperty(value = "是否开启健康码功能 0:关闭 1:开启 ")
    private Integer isOpenHealthCode;

    @ApiModelProperty(value = "顶部标题 设备显示配置")
    private String topTitle;

    /**------ 账户添加配置信息2023-03-24 ------**/
    @ApiModelProperty(value = "是否开启校验是否满xx岁")
    private Integer leastAge;

    /**------ 账户添加配置信息2023-03-24 ------**/
    @ApiModelProperty("不允许进入的年龄段 格式：20-50")
    private String notAllowAge;
    @ApiModelProperty("不允许进入的年龄段提示信息")
    private String notAllowAgeMsg;
    /**
     * 是否报警 true/false
     */
    @ApiModelProperty("是否报警 true/false")
    private Boolean isAlarm = false;
    @ApiModelProperty(value = "场所类型，0：通用场所，1：预约场所 2:楼宇场景")
    private Integer placeType;

    @ApiModelProperty("考试设备集合 多个逗号,隔开")
    private String examDevices;

    /**------ 账户添加配置信息2023-04-13 ------**/
    @ApiModelProperty("二维码是否显示 true/false")
    private Boolean showQrcode = false;
    @ApiModelProperty(value = "二维码的码值")
    private String qrcodeText;
    @ApiModelProperty(value = "广告图片的地址 ")
    private String advertise;




}
